Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cert.ext
Class CRLCertificateIssuerExtension

`java.lang.Object
oracle.security.crypto.cert.X509Extension
oracle.security.crypto.cert.ext.CRLCertificateIssuerExtension`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class CRLCertificateIssuerExtension
extends X509Extension

Represents the CRL entry extension Certificate Issuer from RFC 2459. This extension is critical for conforming CAs.

Field Summary

Fields inherited from class oracle.security.crypto.cert.X509Extension
`id_netscape_ce, id_netscape_ce_type, id_set_ce, id_set_ce_type, isDecoded`

Constructor Summary
`CRLCertificateIssuerExtension()` Create a new extension with the appropriate OID type.
`CRLCertificateIssuerExtension(GeneralName certificateIssuer)` Creates a new extension with the specified certificate issuer.
`CRLCertificateIssuerExtension(GeneralName certificateIssuer, boolean critical)` Creates a new extension with the specified certificate issuer.
`CRLCertificateIssuerExtension(java.io.InputStream is)`
`CRLCertificateIssuerExtension(java.util.Vector certificateIssuer)` Creates a new extension with the specified certificate issuer.
`CRLCertificateIssuerExtension(java.util.Vector certificateIssuer, boolean critical)` Creates a new extension with the specified certificate issuer.

Method Summary
`void` | `addIssuerName(GeneralName name)`
`java.util.Enumeration` | `certificateIssuer()` Gets the certificate issuer of this extension.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class oracle.security.crypto.cert.X509Extension
`getASN1Value, getCritical, getID, getType, getValue, input, input, inputInstance, isRecognized, length, output, setCritical, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CRLCertificateIssuerExtension

    public CRLCertificateIssuerExtension()

  Create a new extension with the appropriate OID type.

  Note: An object created using this constructor may not be in a valid state. This constructor is intended primarily for use in conjunction with the `X509Extension.input(java.io.InputStream)` method.

### CRLCertificateIssuerExtension

    public CRLCertificateIssuerExtension(GeneralName certificateIssuer)

  Creates a new extension with the specified certificate issuer. Extension is critical.
Parameters:
  `certificateIssuer` - The certificate issuer.

### CRLCertificateIssuerExtension

    public CRLCertificateIssuerExtension(GeneralName certificateIssuer,
                                         boolean critical)

  Creates a new extension with the specified certificate issuer.
Parameters:
  `certificateIssuer` - The certificate issuer.
  `critical` - `true` if this extension is critical, `false` otherwise.

### CRLCertificateIssuerExtension

    public CRLCertificateIssuerExtension(java.util.Vector certificateIssuer)

  Creates a new extension with the specified certificate issuer. Extension is critical.
Parameters:
  `certificateIssuer` - A `Vector` of `GeneralName`s for the certificate issuer.

### CRLCertificateIssuerExtension

    public CRLCertificateIssuerExtension(java.util.Vector certificateIssuer,
                                         boolean critical)

  Creates a new extension with the specified certificate issuer.
Parameters:
  `certificateIssuer` - A `Vector` of `GeneralName`s for the certificate issuer.
  `critical` - `true` if this extension is critical, `false` otherwise.

### CRLCertificateIssuerExtension

    public CRLCertificateIssuerExtension(java.io.InputStream is)
                                  throws java.io.IOException

Method Detail

### certificateIssuer

    public java.util.Enumeration certificateIssuer()

  Gets the certificate issuer of this extension.
  Returns:
    An `Enumeration` of `GeneralName`s representing the certificate issuer.

### addIssuerName

    public void addIssuerName(GeneralName name)

### toString

    public java.lang.String toString()

  Description copied from class: `X509Extension`
  Returns a string representation of this object.
  Overrides:
    `toString` in class `X509Extension`
  Returns:
    a string representation

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.